org.eclipse.emf.cdo.transaction

## Class CDOAutoCommitter

- java.lang.Object
- - org.eclipse.emf.cdo.transaction.CDOPostEventTransactionHandler
  - - org.eclipse.emf.cdo.transaction.CDOPostEventTransactionHandler.Default
    - - org.eclipse.emf.cdo.transaction.CDOAutoCommitter

- All Implemented Interfaces:
    CDOTransactionHandler, CDOTransactionHandler1, CDOTransactionHandler2, CDOTransactionHandlerBase

      public class CDOAutoCommitter
      extends CDOPostEventTransactionHandler.Default

  Since:
    4.8
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.transaction.CDOPostEventTransactionHandler

      `CDOPostEventTransactionHandler.Default`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler1

      `CDOTransactionHandler1.WithUndo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOAutoCommitter(CDOTransaction transaction)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleCommitException(CDOTransaction transaction, CommitException ex)`
    `protected void` | `handleConcurrentAccessException(CDOTransaction transaction, ConcurrentAccessException ex)`
    `protected void` | `modifiedObject(CDOTransaction transaction, CDOObject object, Notification msg)`
    `protected void` | `rollbackTransaction(CDOTransaction transaction)`

    - ### Methods inherited from class org.eclipse.emf.cdo.transaction.CDOPostEventTransactionHandler.Default

      `attachedObject, detachedObject`

    - ### Methods inherited from class org.eclipse.emf.cdo.transaction.CDOPostEventTransactionHandler

      `attachingObject, committedTransaction, committingTransaction, detachingObject, modifyingObject, rolledBackTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOAutoCommitter

          public CDOAutoCommitter(CDOTransaction transaction)

  - ### Method Detail

    - #### modifiedObject

          protected void modifiedObject(CDOTransaction transaction,
                                        CDOObject object,
                                        Notification msg)

      Overrides:
        `modifiedObject` in class `CDOPostEventTransactionHandler.Default`

    - #### handleConcurrentAccessException

          protected void handleConcurrentAccessException(CDOTransaction transaction,
                                                         ConcurrentAccessException ex)

    - #### handleCommitException

          protected void handleCommitException(CDOTransaction transaction,
                                               CommitException ex)

    - #### rollbackTransaction

          protected void rollbackTransaction(CDOTransaction transaction)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html